dpkg-scansources(1)

NAZWA
dpkg-scanpackages - tworzy pliki indeksowe Sources

SKŁADNIA
dpkg-scansources [opcja...] katalog-binarny [plik-nadpisań [prefiks-ścieżki]] > Sources

OPIS
dpkg-scansources skanuje podany katalog_binarny w poszukiwaniu plików .dsc, używanych do utworzenia indeksu źródłowych pakietów Debiana, który następnie jest wypisywany na standardowe wyjście.

The override-file, if given, is used to set priorities in the resulting index records and to override the maintainer field given in the .dsc files. The file can be compressed (since dpkg 1.15.5). See deb-override(5) for the format of this file. Note: Since the override file is indexed by binary, not source packages, there's a bit of a problem here. The current implementation uses the highest priority of all the binary packages produced by a .dsc file for the priority of the source package, and the override entry for the first binary package listed in the .dsc file to modify maintainer information. This might change.

Prefiks_ścieżki, jeśli podano, jest dołączany na początek pola Directory w wygenerowanym indeksie źródłowym. Ogólnie jest to używane, aby pola Directory zawierały ścieżkę od najwyższego poziomu hierarchii archiwum Debiana.

Uwaga: Aby apt(8) mogło użyć wygenerowanego pliku Sources, należy go skompresować programem gzip(1) (tworząc plik Sources.gz). apt ignoruje nieskompresowane pliki Sources z wyjątkiem lokalnego dostępu (tj. pochodzącego z file://).

OPCJE

-n, --no-sort
    Nie sortuje rekordów indeksu. Normalnie są one posortowane po nazwie pakietu źródłowego.

-e, --extra-override plik
Scan file to find supplementary overrides (since dpkg 1.15.4; the file
    can be compressed since dpkg 1.15.5). See deb-extra-override(5) for more information on its format.

-s, --source-override plik
    Use file as the source override file (the file can be compressed since dpkg 1.15.5). The default is the name of the override file you specified with .src appended.

    Format plik nadpisań źródeł różni się od formatu nadpisań pakietów binarnych. Zawiera tylko dwa pola oddzielone od siebie białymi znakami: pierwszym jest nazwa pakietu, a drugim - sekcja. Linie puste oraz linie komentarza są ignorowane. Jeśli pakiet pojawia się w obu plikach, to podczas ustawiania sekcji nadpisanie źródeł ma większy priorytet.

--debug
    Włącza tryb debugowania.

--help
    Wyświetla informację o użytkowaniu i kończy działanie.

--version
    Wyświetla informację o wersji i pomyślnie kończy działanie.

ZOBACZ TAKŻE
deb-override(5), deb-extra-override(5), dpkg-scanpackages(1).

TŁUMACZE
Piotr Roszatycki <dexter@debian.org>, 1999
Bartosz Feński <fenio@debian.org>, 2004-2005
Robert Luberda <robert@debian.org>, 2006-2008
Wiktor Wandachowicz <siryes@gmail.com>, 2008
Michał Kułach <michal.kulach@gmail.com>, 2012